Package org.apache.felix.configurator.impl.model

## Class BundleState

- java.lang.Object
- - org.apache.felix.configurator.impl.model.AbstractState
  - - org.apache.felix.configurator.impl.model.BundleState

All Implemented Interfaces:
  `Serializable`

    public class BundleState
    extends AbstractState
    implements Serializable

This object holds all configurations provided by a single bundle when the configurations are read. Later on it just holds the last modified information. The configurations are merged into the `State` object.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`BundleState()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFiles​(List<ConfigurationFile> allFiles)`

### Methods inherited from class org.apache.felix.configurator.impl.model.AbstractState

`add, getConfigurations, getConfigurations, getPids`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundleState

    public BundleState()

### Method Detail

#### addFiles

    public void addFiles​(List<ConfigurationFile> allFiles)